Name:              kdmtheme
Version:           1.2.2
Release:           1%{?dist}
Summary:           Theme Manager for KDM

License:           GPLv2
Group:             User Interface/Desktops
URL:               http://www.kde-look.org/content/show.php?content=22120

Source0:           http://beta.smileaf.org/files/%{name}/%{name}-%{version}.tar.bz2

BuildRoot:         %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:     desktop-file-utils, kdebase-devel automake
Requires:          kdebase

%description
KDM Theme manager is just what it says a theme Manager for KDM.
This control module allows you to easily add, remove and select
any KDM theme you want.

%prep
%setup -q

%{__rm} -rf autom4te.cache

ACVER=`whereis aclocal- 2>&1|sed -e 's#.*bin/aclocal-\([0-9.]*\).*#\1#'`
%{__sed} -i -e "s/am__api_version=\"1.7\"/am__api_version=\"$ACVER\"/" configure

%build

%configure \
   --enable-new-ldflags \
   --disable-debug      \
   --disable-warnings   \
   --disable-dependency-tracking \
   --enable-final
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

# Fix absolute symlink
%{__rm} -f %{buildroot}%{_docdir}/HTML/en/%{name}/common
ln -s ../common %{buildroot}%{_docdir}/HTML/en/%{name}/common

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_datadir}/applications/kde/%{name}.desktop
%{_libdir}/kde3/kcm_%{name}.la
%{_libdir}/kde3/kcm_%{name}.so
%{_docdir}/HTML/*/%{name}/


%Changelog
* Sat Dec 29 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.2.2-1
- New upstream release

* Sat Oct 27 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.2.1-1
- New upstream release

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.1.3-2
- queued for mass rebuild for Fedora 8 - BuildID

* Fri Apr 27 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.1.3-1
- New upstream release

* Sat Feb 03 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.1.2-5
- Minors fixes

* Fri Nov 03 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.1.2-4
- fixed proper kcmshell call

* Tue Sep 05 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.1.2-3
- Rebuilt for FC6-devel

* Tue Jun 13 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.1.2-2
- Minor fixes and removed useless BR

* Tue Jun 13 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.1.2-1
- Corrected %%URL and %%configure

* Tue Jun 13 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.1.2-1
- Initial package.
